--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 6.3.03i
--  \   \         Application : 
--  /   /         Filename : com1400_1.vhd
-- /___/   /\     Timestamp : 05/31/2005 14:30:53
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: com1400_1
--
-- Module com1400_1
-- Generated by Xilinx Architecture Wizard
-- Written for synthesis tool: XST

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity com1400_1 is port ( 
	CLKIN_IN        : in    std_logic; 
   RST_IN          : in    std_logic; 
   CLK0G	        : out   std_logic; 
   CLK180G	        : out   std_logic; 
   LOCKED_OUT      : out   std_logic);
end com1400_1;

architecture BEHAVIORAL of com1400_1 is
   signal CLKIN_IBUFG     : std_logic;
   signal GND             : std_logic;
	signal CLK0: std_logic;
	signal CLK180: std_logic;
	signal CLK0G_LOCAL: std_logic;

   
   -- Period Jitter (unit interval) for block DCM_INST = 0.06 UI
   -- Period Jitter (Peak-to-Peak) for block DCM_INST = 0.77 ns
   component DCM
      generic( CLK_FEEDBACK : string :=  "1X";
               CLKDV_DIVIDE : real :=  2.000000;
               CLKFX_DIVIDE : integer :=  1;
               CLKFX_MULTIPLY : integer :=  4;
               CLKIN_DIVIDE_BY_2 : boolean :=  FALSE;
               CLKIN_PERIOD : real :=  9.53;
               CLKOUT_PHASE_SHIFT : string :=  "NONE";
               DESKEW_ADJUST : string :=  "SYSTEM_SYNCHRONOUS";
               DFS_FREQUENCY_MODE : string :=  "LOW";
               DLL_FREQUENCY_MODE : string :=  "LOW";
               DUTY_CYCLE_CORRECTION : boolean :=  TRUE;
               FACTORY_JF : bit_vector :=  x"C080";
               PHASE_SHIFT : integer :=  0;
               STARTUP_WAIT : boolean :=  FALSE;
               DSS_MODE : string :=  "NONE";
               MAXPERCLKIN : time :=  1000000 ps;
               MAXPERPSCLK : time :=  100000000 ps;
               SIM_CLKIN_CYCLE_JITTER : time :=  300 ps;
               SIM_CLKIN_PERIOD_JITTER : time :=  1000 ps);
      port ( CLKIN    : in    std_logic; 
             CLKFB    : in    std_logic; 
             RST      : in    std_logic; 
             PSEN     : in    std_logic; 
             PSINCDEC : in    std_logic; 
             PSCLK    : in    std_logic; 
             DSSEN    : in    std_logic; 
             CLK0     : out   std_logic; 
             CLK90    : out   std_logic; 
             CLK180   : out   std_logic; 
             CLK270   : out   std_logic; 
             CLKDV    : out   std_logic; 
             CLK2X    : out   std_logic; 
             CLK2X180 : out   std_logic; 
             CLKFX    : out   std_logic; 
             CLKFX180 : out   std_logic; 
             STATUS   : out   std_logic_vector (7 downto 0); 
             LOCKED   : out   std_logic; 
             PSDONE   : out   std_logic);
   end component;
   
begin
   GND <= '0';
   BUFG_001 : BUFG  port map (I=>CLK0, O=> CLK0G_LOCAL);
	CLK0G <= CLK0G_LOCAL;
   BUFG_002 : BUFG  port map (I=>CLK180, O=> CLK180G);
   CLKIN_IBUFG_INST : IBUFG port map (I=>CLKIN_IN, O=>CLKIN_IBUFG);
   
   DCM_INST : DCM
   generic map( CLK_FEEDBACK => "1X",
            CLKDV_DIVIDE => 2.000000,
            CLKFX_DIVIDE => 2,
            CLKFX_MULTIPLY => 4,
            CLKIN_DIVIDE_BY_2 => FALSE,
            CLKIN_PERIOD => 9.53,
            CLKOUT_PHASE_SHIFT => "NONE",
            DESKEW_ADJUST => "SYSTEM_SYNCHRONOUS",
            DFS_FREQUENCY_MODE => "LOW",
            DLL_FREQUENCY_MODE => "LOW",
            DUTY_CYCLE_CORRECTION => TRUE,
            FACTORY_JF => x"C080",
            PHASE_SHIFT => 0,
            STARTUP_WAIT => FALSE)
      port map (CLKFB=>CLK0G_LOCAL,      
                CLKIN=>CLKIN_IBUFG,      
                DSSEN=>GND,      
                PSCLK=>GND,      
                PSEN=>GND,      
                PSINCDEC=>GND,      
                RST=>RST_IN,      
                CLKDV=>open,      
                CLKFX=> open,      
                CLKFX180=>open,      
                CLK0=> CLK0,      
                CLK2X=>open,      
                CLK2X180=>open,      
                CLK90=> open,      
                CLK180=> CLK180,      
                CLK270=>open,      
                LOCKED=>LOCKED_OUT,      
                PSDONE=>open,      
                STATUS=>open);
   
end BEHAVIORAL;


